---
kind: pipeline
name: coopcloud.tech/tagcmp
steps:
  - name: gofmt
    image: golang:1.26
    commands:
      - test -z "$(gofmt -l .)"

  - name: go build
    image: golang:1.26
    commands:
      - go build -v .

  - name: go test
    image: golang:1.26
    commands:
      - go test . -cover
